/* AP Radar
 * June 2002
 * donald.g.park@iname.com
 *
 * Released under the MIT Open Source Licence
 * http://www.opensource.org/licenses/mit-license.php
 */

#ifndef _APRADAR_ACCESSPOINT_H
#define _APRADAR_ACCESSPOINT_H

#include <string>

using namespace std;

class AccessPoint
{
    private:
        // BSSID unique ID
        char bssid[6];
        //char* bssid;

        // ESSID name
        //char* essid;
        string* essid;

        // Mode
        // 1 = ad-hoc
        int mode;

        // WEP, tri-state, yes, no, unknown
        int wep;

        // Frequency
        float frequency;

        // Signal strength
        int signalStrength;

    public:
        AccessPoint();
        // Define an access point

        void setEssid(string*);
        string* getEssid();
        void setBssid(char*);
        char* getBssid();
        const char* getBssidString();
        void setMode(int);
        int getMode();
        string* getModeString();
        bool AccessPoint::operator==(AccessPoint b);
        void setWEP(int);
        int getWEP();
        void setFrequency(float);
        float getFrequency();
        unsigned int getChannel();
        void printValues();
        void sampleValues();
        void setSignalStrength(int);
        int getSignalStrength();
	bool hasDifferences(AccessPoint*);


};
#endif

/*
 * Copyright (c) 2002 Donald G. Park
 * The MIT License
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
