/* AP Radar
 * June 2002
 * donald.g.park@iname.com
 *
 * Released under the MIT Open Source Licence
 * http://www.opensource.org/licenses/mit-license.php
 */
#ifndef _APRADAR_WINDOW_H
#define _APRADAR_WINDOW_H

#include <gtk--/window.h>
#include <gtk--/button.h>
#include <gtk--/box.h>
#include <gtk--/frame.h>
#include <gtk--/menu.h>

#include "Config.h"
#include "NetworkInterface.h"

class Window : public Gtk::Window
{
    Config* conf;
    AccessPointList* aplist;

    Gtk::Button *button;
    Gtk::Box *main_vbox;
    Gtk::Box *aplist_vbox;
    Gtk::Box *eth_vbox;
    Gtk::Box *dhcp_vbox;
    Gtk::Frame *eth_horz;
    Gtk::Box *interface_essid_hbox;
    Gtk::Menu* menu;

    public:
        Window ();
        ~Window ();

        virtual gint delete_event_impl (GdkEventAny*);
        void init();
        void on_button_clicked (char*);
        void AP_button_clicked (AccessPoint*);
        void add_AP(AccessPoint*);
        void refresh_AP(AccessPoint*);
        void remove_AP(AccessPoint*);
        void setConfig(Config*);
        void syncAPList(AccessPointList*);
        void setInterface(NetworkInterface*);
        gint goIdle();
        void DHCPon();
        void DHCPoff();

};
#endif
